## freeipmi 1.4.11

=== debian/changelog ===
freeipmi (1.4.11-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1527685).  Remaining changes:
    - debian/rules: Build with "-pie,-bindnow"
    - Use dh-autoreconf to update libtool for ppc64el.
    - Fix dso linking on the convenience library.
  * Dropped changes, included upstream:
    - debian/patches/0002_excel_when_opening_tmp.patch: Open files with
      O_EXCL.
    - debian/patches/fix-Wunused-result.patch: Resolve -Wunused-result's
      warnings, by checking for non-0 return. 
    - debian/patches/Retry-ssif-reads-as-needed.patch: Retry SSIF reads
      as needed
    - debian/patches/freeipmi-uefi.patch: Fix ipmi-locate on non ia64
      architectures.
    - Don't probe the legacy SMBIOS address in /dev/mem on ARM platforms.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Dec 2015 22:17:36 -0600

freeipmi (1.4.11-1) unstable; urgency=medium

  * [186d83b] Merge tag 'upstream/1.4.11'
    Upstream version 1.4.11
  * [95cfc3a] Updating symbols file.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 25 Nov 2015 21:40:35 +0100

freeipmi (1.1.5-3ubuntu7) wily; urgency=medium

  * Don't probe the legacy SMBIOS address in /dev/mem on ARM platforms.
    (LP: #1499838)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 08 Oct 2015 15:31:28 -0600

freeipmi (1.1.5-3ubuntu6) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Mar 2015 06:16:15 -0600

freeipmi (1.1.5-3ubuntu5) utopic; urgency=medium

  * debian/patches/freeipmi-uefi.patch: Fix ipmi-locate on non ia64
    architectures. (LP: #1359285) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 20 Aug 2014 12:43:55 -0400

freeipmi (1.1.5-3ubuntu4) utopic; urgency=medium

  * debian/patches/Retry-ssif-reads-as-needed.patch: Retry SSIF reads
    as needed, LP: #1324992

 -- dann frazier <dann.frazier@canonical.com>  Fri, 30 May 2014 15:53:06 -0600

freeipmi (1.1.5-3ubuntu3) trusty; urgency=medium

  * Use dh-autoreconf to update libtool for ppc64el.
  * Fix dso linking on the convenience library.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 20:06:43 +0000
