=== debian/control ===
Source: freeipmi
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian FreeIPMI Maintainers <pkg-freeipmi-devel@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Ferenc Wágner <wferi@niif.hu>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 9),
 autotools-dev (>= 20100122.1~),
 dh-autoreconf,
 libgcrypt11-dev,
 chrpath
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/freeipmi/
Vcs-Browser: http://git.debian.org/?p=pkg-freeipmi/pkg-freeipmi.git
Vcs-git: git://anonscm.debian.org/pkg-freeipmi/pkg-freeipmi.git

Package: freeipmi-common
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>=1.15.7.2~)
Suggests: freeipmi-tools
Description: GNU implementation of the IPMI protocol - common files
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This package provides configuration used by the rest of FreeIPMI
 framework and generic documentation to orient the user.

Package: freeipmi-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
Suggests: freeipmi-ipmidetect, freeipmi-bmc-watchdog
Description: GNU implementation of the IPMI protocol - tools
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This package contains assorted IPMI-related tools:
  * bmc-config - configure BMC values
  * bmc-info - display BMC information
  * ipmi-chassis - IPMI chassis management utility
  * ipmi-fru - display FRU information
  * ipmi-locate - IPMI probing utility
  * ipmi-oem - IPMI OEM utility
  * ipmi-pet - decode Platform Event Traps
  * ipmi-raw - IPMI raw communication utility
  * ipmi-sel - display SEL entries
  * ipmi-sensors - display IPMI sensor information
  * ipmi-sensors-config - configure sensors
  * ipmiconsole - IPMI console utility
  * ipmiping - send IPMI Get Authentication Capabilitiy request
  * ipmipower - IPMI power control utility
  * pef-config - configure PEF values
  * rmcpping - send RMCP Ping to network hosts

Package: freeipmi-bmc-watchdog
Architecture: any
Pre-Depends: dpkg (>=1.15.7.2~)
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-tools, freeipmi-common (= ${source:Version})
Description: GNU implementation of the IPMI protocol - BMC watchdog
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This package contains a watchdog daemon for hardware BMC watchdogs.

Package: freeipmi-ipmidetect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
Pre-Depends: dpkg (>=1.15.7.2~)
Description: GNU IPMI - IPMI node detection tool
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This package contains a tool and a daemon for detecting IPMI nodes.

Package: freeipmi-ipmiseld
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 freeipmi-common (= ${source:Version}),
 sysvinit-utils (>= 2.88dsf-50~),
Pre-Depends: dpkg (>=1.15.7.2~)
Description: GNU IPMI - IPMI node detection tool
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This package contains ipmiseld which takes the system event log from
 the BMC and imports it to syslog

Package: libfreeipmi16
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
Description: GNU IPMI - libraries
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 OpenIPMI, KCS, SMIC, SSIF, LAN drivers, and an IPMI API in a C Library.

Package: libfreeipmi-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreeipmi16 (= ${binary:Version}), freeipmi-common (= ${source:Version})
Description: GNU IPMI - development package
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This is the development package for libfreeipmi.

Package: libipmidetect0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
Description: GNU IPMI - IPMI node detection library
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 A library for IPMI node detection.

Package: libipmidetect-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libipmidetect0 (= ${binary:Version}), freeipmi-common (= ${source:Version})
Description: GNU IPMI - ipmidetect development package
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This is the development package for libipmidetect.

Package: libipmimonitoring5a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
Description: GNU IPMI - Sensor monitoring library
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 A library for sensor monitoring.

Package: libipmimonitoring-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libipmimonitoring5a (= ${binary:Version}), freeipmi-common (= ${source:Version})
Description: GNU IPMI - ipmimonitoring development package
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This is the development package for libipmimonitoring.

Package: libipmiconsole2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
Description: GNU IPMI - Serial-over-Lan library
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 A library for Serial-over-Lan (SOL).

Package: libipmiconsole-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libipmiconsole2 (= ${binary:Version}), freeipmi-common (= ${source:Version})
Description: GNU IPMI - ipmiconsole development package
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This is the development package for libipmiconsole.

Package: freeipmi
Architecture: all
Depends: ${misc:Depends}, freeipmi-tools, freeipmi-ipmidetect, freeipmi-bmc-watchdog, freeipmi-common (= ${source:Version})
Description: GNU implementation of the IPMI protocol
 FreeIPMI is a collection of Intelligent Platform Management IPMI
 system software. It provides in-band and out-of-band software and a
 development library conforming to the Intelligent Platform Management
 Interface (IPMI v1.5 and v2.0) standards.
 .
 This metapackage depends on all separate modules of freeipmi.
