## freeipmi 1.5.7

=== debian/changelog ===
freeipmi (1.5.7-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Build with "-pie,-bindnow"
    - Use dh-autoreconf to update libtool for ppc64el.
    - Fix dso linking on the convenience library.
    - Add IPv6 support to ipmipower.
    - Add ipv6 ipmi-discovery.
  * Dropped changes, included upstream:
    - Use kernel DMI table interface, when available, instead of trolling
      /dev/mem to avoid a crash on ARM. LP: #1699933.
  * Cherry-pick patches from upstream that add support to ipmi-locate
    for parsing ACPI/SPMI tables out of sysfs (LP: #1784926):
    - 0001-Fix-acpi-spmi-searching-corner-case.patch
    - 0002-Don-t-try-to-separate-the-header-from-the-ACPI-table.patch
    - 0003-Split-RSDT-XSDT-parsing-into-new-function.patch
    - 0004-Add-support-for-parsing-SPMI-tables-exposed-via-sysf.patch
    - 0005-Allow-sysfs-SPMI-parsing-on-ARM-platforms.patch
    - 0006-Correct-order-of-bytes-in-specification_revision-fie.patch

 -- dann frazier <dann.frazier@canonical.com>  Thu, 02 Aug 2018 15:13:57 -0600

freeipmi (1.5.7-2) unstable; urgency=medium

  * upload to unstable 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 26 Oct 2017 12:37:29 +0200

freeipmi (1.5.7-1) experimental; urgency=medium

  [ Ferenc Wágner ]
  * [389d620] Remove myself (Ferenc) from Uploaders.
    I haven't worked on this package for four years and don't use it at the
    moment.

  [ Bernd Zeimetz ]
  * [7e923a1] Updated version 1.5.7 from 'upstream/1.5.7'
    with Debian dir 6c2cc82b2afb139adde0ee64ef91ca82e91bd170
  * [2103b9e] Add systemd service files
  * [75809a4] soname bump libipmimonitoring5a -> 6
  * [70a0e27] soname bump libfreeipmi16 -> 17
  * [bbf2079] Updating libfreeipmi17.symbols

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 26 Oct 2017 12:37:18 +0200

freeipmi (1.4.11-1.1ubuntu4) artful; urgency=medium

  * Use kernel DMI table interface, when available, instead of trolling
    /dev/mem to avoid a crash on ARM. LP: #1699933.

 -- dann frazier <dann.frazier@canonical.com>  Wed, 28 Jun 2017 13:26:09 -0600

freeipmi (1.4.11-1.1ubuntu3) zesty; urgency=medium

  * Add ipv6 ipmi-discovery. LP: #1645912.  See also:
    https://github.com/chu11/freeipmi-mirror/pull/12/commits/32721f88cd37aa4ca1564c243669f96628089986

 -- LaMont Jones <lamont@canonical.com>  Tue, 24 Jan 2017 16:22:05 -0700

freeipmi (1.4.11-1.1ubuntu2) zesty; urgency=medium

  * Add IPv6 support to ipmipower.  This partially addresses lp bug 1618543.

 -- LaMont Jones <lamont@canonical.com>  Wed, 23 Nov 2016 08:17:27 -0700

freeipmi (1.4.11-1.1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Build with "-pie,-bindnow"
    - Use dh-autoreconf to update libtool for ppc64el.
    - Fix dso linking on the convenience library.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Oct 2016 23:07:23 -0700

freeipmi (1.4.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "not binNMU safe" (Closes: #829085) by making freeipmi-common
    arch:any instead of arch:all. A better fix can be found later if required.

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 05 Sep 2016 09:55:48 +0200
