=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian FreeIPMI Maintainers <pkg-freeipmi-devel@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Ferenc Wágner <wferi@niif.hu>, Bernd Zeimetz <bzed@debian.org>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 9),
  autotools-dev (>= 20100122.1~),
  dh-autoreconf,
@@ -95,7 +95,7 @@
  This package contains ipmiseld which takes the system event log from
  the BMC and imports it to syslog
 
-Package: libfreeipmi16
+Package: libfreeipmi17
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
@@ -110,7 +110,7 @@
 Package: libfreeipmi-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfreeipmi16 (= ${binary:Version}), freeipmi-common (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfreeipmi17 (= ${binary:Version}), freeipmi-common (= ${source:Version})
 Description: GNU IPMI - development package
  FreeIPMI is a collection of Intelligent Platform Management IPMI
  system software. It provides in-band and out-of-band software and a
@@ -143,7 +143,7 @@
  .
  This is the development package for libipmidetect.
 
-Package: libipmimonitoring5a
+Package: libipmimonitoring6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
@@ -158,7 +158,7 @@
 Package: libipmimonitoring-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libipmimonitoring5a (= ${binary:Version}), freeipmi-common (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libipmimonitoring6 (= ${binary:Version}), freeipmi-common (= ${source:Version})
 Description: GNU IPMI - ipmimonitoring development package
  FreeIPMI is a collection of Intelligent Platform Management IPMI
  system software. It provides in-band and out-of-band software and a
