## freeipmi 1.6.3

=== debian/changelog ===
freeipmi (1.6.3-1.1ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:49:50 +0000

freeipmi (1.6.3-1.1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: Build with "-pie,-bindnow"
    - Use dh-autoreconf to update libtool for ppc64el.
    - Fix dso linking on the convenience library.
    - d/p/0001-Fix-Wformat-security-warnings.patch: remove patch file that
      was not being applied since 1.1.6-1
      [previously undocumented in 1.5.7-2ubuntu1]
  * Dropped:
    - Add ipv6 ipmi-discovery.
      [Fixed upstream in 1.6.x]
    - Add IPv6 support to ipmipower.
      [Fixed upstream in 1.6.x]
    - Cherry-pick patches from upstream that add support to ipmi-locate
      for parsing ACPI/SPMI tables out of sysfs (LP #1784926):
      + 0001-Fix-acpi-spmi-searching-corner-case.patch
        [Fixed upstream in 1.6.x]
      + 0002-Don-t-try-to-separate-the-header-from-the-ACPI-table.patch
        [Fixed upstream in 1.6.x]
      + 0003-Split-RSDT-XSDT-parsing-into-new-function.patch
        [Fixed upstream in 1.6.x]
      + 0004-Add-support-for-parsing-SPMI-tables-exposed-via-sysf.patch
        [Fixed upstream in 1.6.x]
      + 0005-Allow-sysfs-SPMI-parsing-on-ARM-platforms.patch
        [Fixed upstream in 1.6.x]
      + 0006-Correct-order-of-bytes-in-specification_revision-fie.patch
        [Fixed upstream in 1.6.x]
  * Added:
    - d/NEWS: explain the removal of RUN= settings in /etc/default
      configuration files.
    - d/NEWS: add section about the dropping of the plural symbols
    - d/freeipmi-ipmidetect.maintscript: handle removal of obsolete
      /etc/default/ipmidetectd configuration file

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Jun 2019 16:47:40 -0300

freeipmi (1.6.3-1.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Antonio Galea ]
  * Do not start ipmidetectd daemon until configured. Closes: #922404

  [ Dominik George ]
  * Use init system to handle defaults instead of RUN= (cf. lintian error).

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 14:06:54 +0100

freeipmi (1.6.3-1) unstable; urgency=medium

  * [3f1f5ea] Updating symbols file
  * [0e89b2a] Update upstream source from tag 'upstream/1.6.3'
    Update to upstream version '1.6.3'
    with Debian dir 54827b9583bcd0d38618a83200a69a58c23a5ff9

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 15:50:10 +0100

freeipmi (1.6.2-1) unstable; urgency=medium

  * [35bac5a] Update upstream source from tag 'upstream/1.6.2'
    Update to upstream version '1.6.2'
    with Debian dir 16f1de27bc1a6a23b926afd2982d80b41f9ed4aa
  * [120bf23] Updating symbols file

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 Jan 2019 16:33:28 +0100

freeipmi (1.5.7-3) unstable; urgency=medium

  * [1060d79] Add gitlab ci script
  * [d50960f] Ack'ing NMU.
    Thanks to Andreas Metzler (Closes: #864103)
  * [6f8e634] Updating Maintainer and Git Addresses.
    Thanks to Christoph Biedl (Closes: #899511)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 Jan 2019 15:57:29 +0100

freeipmi (1.5.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. Closes: #864103

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 09:47:18 +0200
