=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: admin
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeIPMI Maintainers <pkg-freeipmi-devel@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Bernd Zeimetz <bzed@debian.org>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9),
  autotools-dev (>= 20100122.1~),
+ libgcrypt20-dev,
  dh-autoreconf,
- libgcrypt11-dev,
  chrpath
 Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/freeipmi/
-Vcs-Browser: http://git.debian.org/?p=pkg-freeipmi/pkg-freeipmi.git
-Vcs-git: git://anonscm.debian.org/pkg-freeipmi/pkg-freeipmi.git
+Vcs-Browser: https://salsa.debian.org/debian/freeipmi
+Vcs-git: https://salsa.debian.org/debian/freeipmi.git
 
 Package: freeipmi-common
 Architecture: all
@@ -29,7 +29,7 @@
  framework and generic documentation to orient the user.
 
 Package: freeipmi-tools
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
 Suggests: freeipmi-ipmidetect, freeipmi-bmc-watchdog
 Description: GNU implementation of the IPMI protocol - tools
@@ -57,7 +57,7 @@
   * rmcpping - send RMCP Ping to network hosts
 
 Package: freeipmi-bmc-watchdog
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Pre-Depends: dpkg (>=1.15.7.2~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-tools, freeipmi-common (= ${source:Version})
 Description: GNU implementation of the IPMI protocol - BMC watchdog
@@ -69,7 +69,7 @@
  This package contains a watchdog daemon for hardware BMC watchdogs.
 
 Package: freeipmi-ipmidetect
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
 Pre-Depends: dpkg (>=1.15.7.2~)
 Description: GNU IPMI - IPMI node detection tool
@@ -81,7 +81,7 @@
  This package contains a tool and a daemon for detecting IPMI nodes.
 
 Package: freeipmi-ipmiseld
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  freeipmi-common (= ${source:Version}),
  sysvinit-utils (>= 2.88dsf-50~),
@@ -97,8 +97,8 @@
 
 Package: libfreeipmi17
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
+Architecture: kfreebsd-any linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (>= ${source:Version})
 Description: GNU IPMI - libraries
  FreeIPMI is a collection of Intelligent Platform Management IPMI
  system software. It provides in-band and out-of-band software and a
@@ -109,7 +109,7 @@
 
 Package: libfreeipmi-dev
 Section: libdevel
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfreeipmi17 (= ${binary:Version}), freeipmi-common (= ${source:Version})
 Description: GNU IPMI - development package
  FreeIPMI is a collection of Intelligent Platform Management IPMI
@@ -121,7 +121,7 @@
 
 Package: libipmidetect0
 Section: libs
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
 Description: GNU IPMI - IPMI node detection library
  FreeIPMI is a collection of Intelligent Platform Management IPMI
@@ -133,7 +133,7 @@
 
 Package: libipmidetect-dev
 Section: libdevel
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libipmidetect0 (= ${binary:Version}), freeipmi-common (= ${source:Version})
 Description: GNU IPMI - ipmidetect development package
  FreeIPMI is a collection of Intelligent Platform Management IPMI
@@ -145,7 +145,7 @@
 
 Package: libipmimonitoring6
 Section: libs
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
 Description: GNU IPMI - Sensor monitoring library
  FreeIPMI is a collection of Intelligent Platform Management IPMI
@@ -157,7 +157,7 @@
 
 Package: libipmimonitoring-dev
 Section: libdevel
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libipmimonitoring6 (= ${binary:Version}), freeipmi-common (= ${source:Version})
 Description: GNU IPMI - ipmimonitoring development package
  FreeIPMI is a collection of Intelligent Platform Management IPMI
@@ -169,7 +169,7 @@
 
 Package: libipmiconsole2
 Section: libs
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, freeipmi-common (= ${source:Version})
 Description: GNU IPMI - Serial-over-Lan library
  FreeIPMI is a collection of Intelligent Platform Management IPMI
@@ -181,7 +181,7 @@
 
 Package: libipmiconsole-dev
 Section: libdevel
-Architecture: any
+Architecture: kfreebsd-any linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libipmiconsole2 (= ${binary:Version}), freeipmi-common (= ${source:Version})
 Description: GNU IPMI - ipmiconsole development package
  FreeIPMI is a collection of Intelligent Platform Management IPMI
