=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,9 @@
 
 	: # Use Debian specific init files with "matching" names
 	dh_installinit -pfreeipmi-bmc-watchdog \
-	 --name=bmc-watchdog
+	 --name=bmc-watchdog --no-enable --no-start
 	dh_installinit -pfreeipmi-ipmidetect \
-	 --name=ipmidetectd
+	 --name=ipmidetectd --no-enable --no-start
 	dh_installinit -pfreeipmi-ipmiseld \
 	 --name=ipmiseld
