## freeipmi 1.6.4

=== debian/changelog ===
freeipmi (1.6.4-3) unstable; urgency=medium

  * [b434aad] Replace doc symlinks by a directory with doc link inside.
  * [f39e83c] Updating changelog
  * [a80aa32] Don't delete doc dirs
  * [c56cc81] Symlink target is freeipmi-common
  * [02fe52e] Remove old/now broken postinst scripts
  * [b4e8785] Remove more unused postrm/preinst files

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Sep 2019 23:43:47 +0200

freeipmi (1.6.4-2) unstable; urgency=medium

  * [5fef9cf] Rise compat level to 10.
  * [f65913c] Implement our own version of --link-doc.
    We need to depend on freeipmi-common anyway, so ignoring the broken
    dependencies created by --link-doc is the best option for now.
    Thanks to Andreas Beckmann (Closes: #935764)
  * [b1d0a64] Build-depend on texinfo.
    makeinfo is missing at build time.
  * [861bfac] Remove existing doc directories before linking

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Sep 2019 23:19:39 +0200

freeipmi (1.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernd Zeimetz ]
  * [666e5e4] Priority extra is deprecated, use optional.
  * [711cfa6] Updating .gitlab-ci.yml

  [ Michael Prokop ]
  * [1f305ea] New upstream version 1.6.4 (Closes: #940150)
  * [62a875e] Move dpkg-maintscript-helper calls from {post,pre},{inst,rm}
    scripts into maintscript
  * [a2dd566] Refresh debian/freeipmi-tools.lintian-overrides

 -- Michael Prokop <mika@debian.org>  Thu, 26 Sep 2019 17:14:05 +0200
