=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: freeipmi
 Section: admin
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Priority: optional
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  autotools-dev (>= 20100122.1~),
  libgcrypt20-dev,
- dh-autoreconf,
- chrpath
+ chrpath,
+ texinfo
 Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/freeipmi/
 Vcs-Browser: https://salsa.debian.org/debian/freeipmi
