=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
-
 # --fail-missing for dh_install
-# --link-doc for dh_installdocs
 %:
-	dh $@ --with autoreconf --fail-missing --link-doc=freeipmi-common
+	dh $@ --with autotools_dev --fail-missing
 
 override_dh_auto_configure:
 	: # suppress multiarch support for now
@@ -59,3 +56,9 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs --keep
+
+override_dh_link:
+	dh_link
+	for i in $$(awk '/^Package:/{print $$2}' debian/control | grep -v freeipmi-common); do \
+		dh_link -p $${i} usr/share/doc/freeipmi-common usr/share/doc/$${i}/doc ; \
+	done
