## freeipmi 1.6.6

=== debian/changelog ===
freeipmi (1.6.6-4+deb11u1) bullseye; urgency=medium

  * Fix .pc files path in -dev packages. Thanks to наб (Closes: #996325)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Oct 2021 18:05:13 +0100

freeipmi (1.6.6-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Use absolute symlink targets for symlink_to_dir, the maintainer scripts in
    jessie converted the doc directories to absolute symlinks.
    (Closes: #991604)

  [ Fabio Fantoni ]
  * d/p/libfreeipmi-ipmi-sensor-read.c-Incorrect-sensor-read.patch
    incorrect sensor reading reported (LP: #1926299)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 28 Jul 2021 16:41:51 +0200

freeipmi (1.6.6-3) unstable; urgency=medium

  * remove sysvinit-utils dependency as not needed anymore
  * disable initd scripts in configure instead remove them with rm
  * remove maintscript entries related to very old versions
  * update ipmidetectd service, /etc/default/ipmidetectd was removed
  * use upstream systemd service files and add pkg-config, systemd
    and libsystemd-dev to build-depends (Closes: #924570)
  * wrap and sort
  * fix libipmiconsole.pc path
  * fix systemd service files permission
  * specify that rules require root
  * Bump Standards-Version to 4.5.1
  * add repository to upstream metadata

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 06 Feb 2021 19:46:06 +0100

freeipmi (1.6.6-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * remove duplicate entry in freeipmi-ipmidetect.maintscript
  * remove debian/compat and use debian-compat in debian/control
  * update lintian override about man
  * fix systemd service files install
  * change duplicate short description of freeipmi-ipmiseld
  * add missing '/var/cache/ipmiseld/' directory in package freeipmi-ipmiseld
    (Closes: #793186)
  * fix service restart in postrotate of bmc-watchdog.logrotate
  * d/rules: small improvement to avoid an unexpected case
  * Rise compat level to 13
  * libipmimonitoring-dev: move .pc file to a multiarch location
    (Closes: #981386)

  [ Bernd Zeimetz ]
  * Setting Fabio Fantoni as Maintainer, moving myself to uploaders.
  * Removing Yaroslav Halchenko from Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 02 Feb 2021 20:53:25 +0100

freeipmi (1.6.6-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * [58415f9] Add break/replace libipmimonitoring5a to libipmimonitoring6
   libipmimonitoring6 avoid fails on upgrade  for files present in both
   packages making upgrade failing, including upgrade from
   oldstable (Stretch) the the latest (Buster)
    (Closes: #925139)
  * [995c9ab] mark freeipmi-common Multi-Arch: foreign.
    Thanks to Helmut Grohne (Closes: #941145)
  * [875d980] use dh_autoreconf instead of dh_autotools-dev.
    I did this patch based on  ubuntu patch plus I removed autotools-dev build-dep.
    that seems to me not needed anymore after this change
    (and is also installed as dep. of automake, dep. of dh-autoreconf)
    Thanks to Steve Langasek (Closes: #841657)

  [ Bernd Zeimetz ]
  * [83bcf9c] Disable reprotest for now.
    Fails to build with some weird fail.

  [ Andreas Hasenack ]
  * [6fee89c] d/NEWS: explain the removal of RUN= settings in /etc/default configuration files.
  * [678414e] d/rules: Build with "bindnow"
    See
    https://wiki.debian.org/Hardening#DEB_BUILD_HARDENING_BINDNOW_.28ld_-z_now.29
  * [bab13c0] d/freeipmi-ipmidetect.maintscript: handle removal of
    obsolete /etc/default/ipmidetectd configuration file
  * [1a77722] d/NEWS: fix typo

  [ Bernd Zeimetz ]
  * [da10921] New upstream version 1.6.6
  * [1e10f54] snapshot changelog"

  [ Debian Janitor ]
  * [b621349] Trim trailing whitespace.
    Changes-By: lintian-brush
    Fixes: lintian: trailing-whitespace
    See-also: https://lintian.debian.org/tags/trailing-whitespace.html
  * [8ee3600] Use secure copyright file specification URI.
    Changes-By: lintian-brush
    Fixes: lintian: insecure-copyright-format-uri
    See-also: https://lintian.debian.org/tags/insecure-copyright-format-uri.html
  * [3c930ee] Use secure URI in debian/watch.
    Changes-By: lintian-brush
    Fixes: lintian: debian-watch-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/debian-watch-uses-insecure-uri.html
  * [0272574] Use secure URI in Homepage field.
    Changes-By: lintian-brush
    Fixes: lintian: homepage-field-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/homepage-field-uses-insecure-uri.html
  * [15322d3] Set upstream metadata fields: Bug-Submit (from ./configure).
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
  * [e37a4a5] Drop unnecessary dependency on dh-autoreconf.
    Changes-By: lintian-brush
    Fixes: lintian: useless-autoreconf-build-depends
    See-also: https://lintian.debian.org/tags/useless-autoreconf-build-depends.html
  * [fd12a3b] Changed vcs type from git to Git based on URL.
    Changes-By: lintian-brush
    Fixes: lintian: vcs-field-mismatch
    See-also: https://lintian.debian.org/tags/vcs-field-mismatch.html

  [ Fabio Fantoni ]
  * [872e85f] make the build reproducible.
    Replace man pages dates with the timestamp from the latest
    debian/changelog entry using the variable SOURCE_DATE_EPOCH to make the
    package build reproducibly.
    I updated the patch that was not applycable anymore.
    Thanks to Eduard Sanou (Closes: #794792)
  * [b921b64] Revert "Disable reprotest for now."
    This reverts commit 83bcf9c163ee9d2d9089961f556fc8afe60b501f.
  * [ad3868d] remove old unused debian patches
  * [59336cc] fix few things spotted by lintian
    - file-contains-trailing-whitespace debian/changelog
    - useless-autoreconf-build-depends dh-autoreconf
    - homepage-field-uses-insecure-uri

