=== debian/watch ===
version=3
https://ftp.gnu.org/gnu/freeipmi/freeipmi-([\d\.]+)\.tar\.gz
